WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Not compatible with WP 3.7

[Resolved] Not compatible with WP 3.7

  • Hi there,

    just updated my WP installation to 3.7 and All-in-One Event Calendar stopped working. This is the case on all my installations!

    Error message of one of the installations:

    Fatal error: Uncaught exception 'Ai1ec_File_Not_Found' with message 'The specified file 'event.min.js' doesn't exist.' in /home/hitradio/public_html/wp-content/plugins/all-in-one-event-calendar/app/helper/class-ai1ec-view-helper.php:124 Stack trace: #0 /home/hitradio/public_html/wp-content/plugins/all-in-one-event-calendar/app/controller/class-ai1ec-events-controller.php(200): Ai1ec_View_Helper->theme_enqueue_script('ai1ec-event', 'event.min.js', Array) #1 [internal function]: Ai1ec_Events_Controller->init('') #2 /home/hitradio/public_html/wp-includes/plugin.php(429): call_user_func_array(Array, Array) #3 /home/hitradio/public_html/wp-settings.php(340): do_action('init') #4 /home/hitradio/public_html/wp-config.php(94): require_once('/home/hitradio/...') #5 /home/hitradio/public_html/wp-load.php(29): require_once('/home/hitradio/...') #6 /home/hitradio/public_html/wp-blog-header.php(12): require_once('/home/hitradio/...') #7 /home/hitradio/public_html/index.php(17): require('/home/hitradio/...') #8 {main} thrown in /home/hitradio/public_html/wp-content/plugins/all-in-one-event-calendar/app/helper/class-ai1ec-view-helper.php on line 124

    Any solution idea?

    Regards and many thanks in advance
    Christian

    http://wordpress.org/plugins/all-in-one-event-calendar/

Viewing 15 replies - 1 through 15 (of 36 total)
  • same problem here! 1.10.1 works, update to 1.10.3 stops with same error.
    Fixed copying
    public_html/wp-content/plugins/all-in-one-event-calendar/themes-ai1ec/vortex
    to
    public_html/wp-content/themes-ai1ec/vortex

    But seems that there are OTHER incompatibilities respect to 1.10.1

    White Screen of Death… in all installations. Had to disable the plugin.
    An update would be awesome! Don’t want to downgrade to wp3.6.

    thank you faina09! this works!

    @faina09
    Does not work on my side – it does not show the error above anymore and the website loads, however, the specific calendar page shows blank.

    Regards
    Christian

    @faina09: it worked on 2 sites, thanks.

    Hi, if you get this probably something strange has happened to your theme folder. Can you check if under wp-content/themes-ai1ec/vortex/js there is the file event.min.js? My advice is to copy again manually the themes-ai1ec folder from our plugin root to wp-content

    I’m marking thi as resolved as copying the file fix the issues

    Same problem after upgrading to WP 3.7. Did the copying – all is well. I think I will go ahead and upgrade to the Standard version however.

    Thanks!

    Dear Nicola,

    My

    advice is to copy again manually the themes-ai1ec folder from our plugin root to wp-content

    Did it, however, same result, a blank page.

    Regards
    Christian

    This fix worked for one of my sites but on another it left me with deformed site structure so I have it disabled. And on a 3rd I’m afraid to do the update at all. I’m wondering when or IF there’ll be an update and what the best practice should be if one hasn’t already done an update. Should we wait or do it and use this fix and keep our fingers crossed or what?!

    What version do you have?If you want to run standard the safe version to use is 1.10.9 we just released that

    @chtrede a blank page means that there is an error in the error log, can you please tell me what is that error?

    The last site that I haven’t updated is running 1.10.1-standard. So I was going to hold off on it.

    Meanwhile, I’m confused as I now have one site that I fixed by moving the theme folder that is running Version 1.10.3. But I need to upgrade it to Standard. So I read how to delete the uninstall to protect data, and I did that and uninstalled and then reinstalled. So now on this site 1.10.3 works except the posterboard has lost its formatting. Not sure why or how to get it back.

    I get prompted to update to 1.10.4. When I do that the homepage loses its formatting and the calendar page displays “array array” instead of a calendar. So I downgraded again for now.

    On another site I upgrade to WP3.7 and left my working Ai1EC alone for now. The message at the top of the Dashboard says 1.10.9 Standard is now available. This update addresses a change in the update API of WordPress 3.7. but in the Plug-in section it says There is a new version of All-in-One Event Calendar by Timely available. View version 1.10.4 details or update now. That is the update that breaks my other site so I’m not doing that.

    Let’s try to make things clear. Version 1.10.4 ( or 1.10.3 ) without anything else written is the version we have on wordpress.org. The latest version is 1.10.4
    Version 1.10.1-standard is the version is the version which is hosted on our server which has many more features than 1.10.4 ( 1.10.4 is actually more or less 1.9-standard )
    Version 1.10.1-standard didn’t look for updates to wordpress.org until WordPress 3.7 arrived which broke our plugin. So users with 1.10.1-standard received a notice to upgrade to 1.10.3/4 which usually broke the plugin. So we released version 1.10.9-standard which fixes the problem. If you install version 1.10.9-standard and still have issues please copy the themes-ai1ec folder from wp-content/plugins/all-in-one-event-calendar folder to wp-content, replacing the old folder ( of course preserve any child theme that you have )

    Thanks…that helps a lot to understand! Seems like you’d do well to consider not having two free versions. That seems to add a lot of needless complexity/confusion with all those differing/corresponding version numbers…oh my!

Viewing 15 replies - 1 through 15 (of 36 total)
  • The topic ‘[Resolved] Not compatible with WP 3.7’ is closed to new replies.